Subject: Re: bug#44676: [PATCH] Support native compilation of packages on install

From: Andrea Corallo <[email-masked]>
Date: Fri, 20 Nov 2020 20:12:56 +0000

Stefan Kangas <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>>>     (native-compile-async "foo.el")
>>>     (load "foo.el")
>>
>> The issue is that this does a different thing, if foo.el was never byte
>> compiled you will endup with only the non compiled (nor byte or native)
>> definitions as the load happes before the async compilation has finished.
>
> So the eln wouldn't be loaded once it is done compiling, unless you
> specify the explicit LOAD parameter?

Correct, either you or deferred compilation has to call
async-native-compile specifying the load.

> If this is the case, I think I
> agree with you that we should definitely keep the LOAD parameter.
>
> However, perhaps we could make the LOAD parameter a simple boolean in
> the user-facing `native-compile-async' function?  I.e., we hide away
> `late' for internal use only.

Agree that's probably the best option.

Thanks

  Andrea